## wxGraphicsObject

This class is the superclass of native graphics objects like pens etc. It allows reference counting. Not instantiated by user code.

Derived from

wxObject

Include files

<wx/graphics.h>

See also

wxGraphicsBrush, wxGraphicsPen, wxGraphicsMatrix, wxGraphicsPath

Members

wxGraphicsObject::GetRenderer
wxGraphicsObject::IsNull

### wxGraphicsObject::GetRenderer

wxGraphicsRenderer* GetRenderer() const

Returns the renderer that was used to create this instance, or NULL if it has not been initialized yet

### wxGraphicsObject::IsNull

bool IsNull() const

Is this object valid (false) or still empty (true)?